TR(1)

NÉV
tr - karakterek lecserélése, tömörítése és/vagy törlése

ÖSSZEGZÉS
tr [OPTION]... STRING1 [STRING2]

LEÍRÁS

Translate, squeeze, and/or delete characters from standard input, writing to standard output. STRING1 and STRING2 specify arrays of characters ARRAY1 and ARRAY2 that control the action.

-c, -C, --complement
    use the complement of ARRAY1

-d, --delete
    delete characters in ARRAY1, do not translate

-s, --squeeze-repeats
    replace each sequence of a repeated character that is listed in the last specified ARRAY, with a single occurrence of that character

-t, --truncate-set1
    first truncate ARRAY1 to length of ARRAY2

--help
    ezen súgó megjelenítése és kilépés

--version
    verzióinformációk megjelenítése és kilépés

ARRAYs are specified as strings of characters. Most represent themselves. Interpreted sequences are:

\NNN
    az NNN oktális értékű karakter (1-3 számjegy)

\\  fordított osztásjel

\a  riadó (BEL)

\b  visszaper

\f  lapdobás

\n  új sor

\r  kocsivissza

\t  vízszintes tab

\v  függőleges tab

KAR1-KAR2
    az összes karakter KAR1 és KAR2 között növekvő sorrendben

[KAR*]
    in ARRAY2, copies of CHAR until length of ARRAY1

[KAR*ISMÉTLÉS]
    a KAR ISMÉTLÉS darab másolata, az ISMÉTLÉS oktális, ha 0-val kezdődik

[:alnum:]
    az összes betű és számjegy

[:alpha:]
    az összes betű

[:blank:]
    az összes vízszintes üreshely

[:cntrl:]
    az összes vezérlőkarakter

[:digit:]
    az összes számjegy

[:graph:]
    az összes nyomtatható karakter, kivéve a szóközt

[:lower:]
    az összes kisbetű

[:print:]
    az összes nyomtatható karakter, beleértve a szóközt

[:punct:]
    az összes központozó karakter

[:space:]
    az összes vízszintes vagy függőleges üreshely

[:upper:]
    az összes nagybetű

[:xdigit:]
    az összes hexadecimális számjegy

[=KAR=]
    az összes karakter, amely azonos a KAR karakterrel

Translation occurs if -d is not given and both STRING1 and STRING2 appear. -t is only significant when translating. ARRAY2 is extended to length of ARRAY1 by repeating its last character as necessary. Excess characters of ARRAY2 are ignored. Character classes expand in unspecified order; while translating, [:lower:] and [:upper:] may be used in pairs to specify case conversion. Squeezing occurs after translation or deletion.

HIBÁK

Full support is available only for safe single-byte locales, in which every possible input byte represents a single character. The C locale is safe in GNU systems, so you can avoid this issue in the shell by running LC_ALL=C tr instead of plain tr.

SZERZŐ
Írta Jim Meyering.

HIBÁK JELENTÉSE
A(z) GNU coreutils online súgója: <https://www.gnu.org/software/coreutils/>
Report any translation bugs to <https://translationproject.org/team/>

SZERZŐI JOG
Copyright © 2024 Free Software Foundation, Inc. A licenc GPLv3+: a GNU GPL 3. vagy újabb változata: <https://gnu.org/licenses/gpl.html>.
Ez egy szabad szoftver, terjesztheti és/vagy módosíthatja. NINCS GARANCIA, a törvény által engedélyezett mértékig.

LÁSD MÉG
Teljes dokumentáció <https://www.gnu.org/software/coreutils/tr>
vagy helyileg elérhető: info '(coreutils) tr invocation'

FORDÍTÁS
A kézikönyv magyar fordítását a Nagy Ernő <ned@elte.hu> készítette.

Ez a fordítás ingyenes dokumentáció; lásd a GNU General Public License 3 (https://www.gnu.org/licenses/gpl-3.0.html). Vagy újabb verzióját a szerzői jogi feltételekkel kapcsolatban. Feltételezzük, hogy NEM FELELŐSSÉG.

Ha hibát talál a kézikönyv oldal fordításában, küldje el a e-mail cím: TODO..